Subject: [bug#73437] Add new package: sqlite-doc

From: Kristian Lein-Mathisen <[email-masked]>
Date: Mon, 23 Sep 2024 13:07:23 +0200

Hi!

I'd like to package sqlite-doc so that I can browse this wonderful
documentation suite offline.
In order to do that, however, I had to refactor sqlite.scm slightly.
Therefor, this consists of two patches:

- Refactoring of sqlite.scm (sqlite-uri specifically)
- The new sqlite-doc package

Please consider applying these modifications.
Thank you!
From bb9e92a92158bc8c55ed7cf609ca1ba2b5e206c9 Mon Sep 17 00:00:00 2001
From: Kristian Lein-Mathisen <[email-masked]>
Date: Mon, 23 Sep 2024 13:06:34 +0200
Subject: [PATCH 0/2] *** SUBJECT HERE ***

*** BLURB HERE ***

Kristian Lein-Mathisen (2):
  gnu: sqlite: refactor sqlite-uri into sqlite-numeric-version
  gnu: sqlite: add variable sqlite-doc

 gnu/packages/sqlite.scm | 153 +++++++++++++++++++++++++---------------
 1 file changed, 96 insertions(+), 57 deletions(-)

base-commit: 41e408eb1f93d96b549d345e2de74143220b7b76
-- 
2.46.0